Open CASCADE Technology: PBRep_PointOnSurface Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PBRep_PointOnSurface Class Reference

`#include <PBRep_PointOnSurface.hxx>`

Inheritance diagram for PBRep_PointOnSurface:
[legend]

## Public Member Functions
| PBRep_PointOnSurface (const Standard_Real P1, const Standard_Real P2, const Handle< PGeom_Surface > &S, const PTopLoc_Location &L)
Standard_Real | Parameter2 () const
virtual Standard_Boolean | IsPointOnSurface () const
| Returns True. More...
| PBRep_PointOnSurface ()
| PBRep_PointOnSurface (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPBRep_PointOnSurfacemyParameter2 () const
void | _CSFDB_SetPBRep_PointOnSurfacemyParameter2 (const Standard_Real p)
Public Member Functions inherited from PBRep_PointsOnSurface
Handle< PGeom_Surface > | Surface () const
| PBRep_PointsOnSurface ()
| PBRep_PointsOnSurface (const Storage_stCONSTclCOM &a)
Handle< PGeom_Surface > | _CSFDB_GetPBRep_PointsOnSurfacemySurface () const
void | _CSFDB_SetPBRep_PointsOnSurfacemySurface (const Handle< PGeom_Surface > &p)
Public Member Functions inherited from PBRep_PointRepresentation
PTopLoc_Location | Location () const
Standard_Real | Parameter () const
void | Parameter (const Standard_Real P)
Handle< PBRep_PointRepresentation > | Next () const
void | Next (const Handle< PBRep_PointRepresentation > &N)
virtual Standard_Boolean | IsPointOnCurve () const
| A point on a 3d curve. More...
virtual Standard_Boolean | IsPointOnCurveOnSurface () const
| A point on a 2d curve on a surface. More...
| PBRep_PointRepresentation ()
| PBRep_PointRepresentation (const Storage_stCONSTclCOM &a)
const PTopLoc_Location & | _CSFDB_GetPBRep_PointRepresentationmyLocation () const
Standard_Real | _CSFDB_GetPBRep_PointRepresentationmyParameter () const
void | _CSFDB_SetPBRep_PointRepresentationmyParameter (const Standard_Real p)
Handle< PBRep_PointRepresentation > | _CSFDB_GetPBRep_PointRepresentationmyNext () const
void | _CSFDB_SetPBRep_PointRepresentationmyNext (const Handle< PBRep_PointRepresentation > &p)
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Additional Inherited Members
Protected Member Functions inherited from PBRep_PointsOnSurface
| PBRep_PointsOnSurface (const Standard_Real P, const Handle< PGeom_Surface > &S, const PTopLoc_Location &L)
Protected Member Functions inherited from PBRep_PointRepresentation
| PBRep_PointRepresentation (const Standard_Real P, const PTopLoc_Location &L)

## Constructor & Destructor Documentation

PBRep_PointOnSurface::PBRep_PointOnSurface | ( | const Standard_Real | P1,
|  | const Standard_Real | P2,
|  | const Handle< PGeom_Surface > & | S,
|  | const PTopLoc_Location & | L
| ) |  |

PBRep_PointOnSurface::PBRep_PointOnSurface | ( |  | ) |
| inline

PBRep_PointOnSurface::PBRep_PointOnSurface | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Standard_Real PBRep_PointOnSurface::_CSFDB_GetPBRep_PointOnSurfacemyParameter2 | ( |  | ) | const
| inline

void PBRep_PointOnSurface::_CSFDB_SetPBRep_PointOnSurfacemyParameter2 | ( | const Standard_Real | p | ) |
| inline

virtual Standard_Boolean PBRep_PointOnSurface::IsPointOnSurface | ( |  | ) | const
| virtual

Returns True.

Reimplemented from PBRep_PointRepresentation.

Standard_Real PBRep_PointOnSurface::Parameter2 | ( |  | ) | const

The documentation for this class was generated from the following file:

- PBRep_PointOnSurface.hxx